Agents
Get agent by ID
x-api-key<token>
In: header
Path Parameters
id*string
Agent document ID
Query Parameters
period?string
Period for volume/units (default: last12Months)
Value in
"2017" | "2018" | "2019" | "2020" | "2021" | "2022" | "2023" | "2024" | "2025" | "2026" | "last3Months" | "last6Months" | "last12Months" | "last14Months" | "last16Months" | "last18Months" | "last24Months" | "yearToDate" | "allTime"Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agents/string"{
"data": {
"avgSoldPrice": 0,
"buyerUnits": 0,
"buyerVolume": 0,
"city": "string",
"dualUnits": 0,
"dualVolume": 0,
"email": "string",
"firstName": "string",
"fullName": "string",
"id": "string",
"lastName": "string",
"licenseNumber": "string",
"modelMatchId": "string",
"office": "string",
"phone": "string",
"sellerUnits": 0,
"sellerVolume": 0,
"state": "string",
"totalCompaniesWorkedWith": 0,
"totalLendersWorkedWith": 0,
"totalOriginatorsWorkedWith": 0,
"units": 0,
"volume": 0,
"zip": "string",
"licenses": [
{
"expirationDate": "string",
"number": "string",
"state": "string",
"type": "string"
}
],
"linkedProfileCount": 0,
"linkedProfiles": [
{
"email": "string",
"firstTransactionDate": "string",
"lastTransactionDate": "string",
"name": "string",
"officePhone": "string",
"phone": "string",
"transactions": 0
}
],
"scored": null
}
}{
"error": "string"
}{
"error": "string",
"limit": 0,
"size": 0
}Count agents matching filters POST
Return the exact number of agents matching the given filters. Accepts the same request body as `listAgents` (pagination and sort are ignored). Use this when you only need a total; to get the matching agents themselves, send the same request body to `listAgents`.
Get bulk-delivery job status for agents GET
Next Page